changeset 1680:f7eaa514d628

Don't overwrite existing files when re-entering a chroot-splice.
author Rob Landley <rob@landley.net>
date Thu, 04 Sep 2014 22:18:57 -0500
parents f63305aa4961
children 7bb5090abde9
files more/chroot-splice.sh
diffstat 1 files changed, 1 insertions(+), 1 deletions(-) [+]
line wrap: on
line diff
--- a/more/chroot-splice.sh	Thu Sep 04 00:27:36 2014 -0500
+++ b/more/chroot-splice.sh	Thu Sep 04 22:18:57 2014 -0500
@@ -36,7 +36,7 @@
 fi
 
 # Copy root filesystem and splice in control image
-cp -la "build/root-filesystem-$1" "$CHROOT" || exit 1
+cp -lan "build/root-filesystem-$1/." "$CHROOT" || exit 1
 
 if [ -d "$2" ]
 then